summary.keras.engine.training.Model {keras} | R Documentation

## Print a summary of a Keras model

### Description

Print a summary of a Keras model

### Usage

    ## S3 method for class 'keras.engine.training.Model'
    summary(object,
      line_length = getOption("width"), positions = NULL, ...)

### Arguments

`object` | Keras model instance
`line_length` | Total length of printed lines
`positions` | Relative or absolute positions of log elements in each line. If not provided, defaults to `c(0.33, 0.55, 0.67, 1.0)`.
`...` | Unused

### See Also

Other model functions: `compile.keras.engine.training.Model`, `evaluate.keras.engine.training.Model`, `evaluate_generator`, `fit.keras.engine.training.Model`, `fit_generator`, `get_config`, `get_layer`, `keras_model_sequential`, `keras_model`, `multi_gpu_model`, `pop_layer`, `predict.keras.engine.training.Model`, `predict_generator`, `predict_on_batch`, `predict_proba`, `train_on_batch`

[Package keras version 2.2.4 Index]